classification
Title: Remove packaging from the stdlib
Type: behavior Stage: resolved
Components: Distutils2, Documentation, Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: Ramchandra Apte, alexis, eric.araujo, georg.brandl, pitrou, tarek
Priority: release blocker Keywords:

Created on 2012-06-22 23:58 by pitrou, last changed 2012-07-22 21:21 by eric.araujo. This issue is now closed.

Messages (15)
msg163504 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-06-22 23:58
Eric, this is for you. If you do only one thing before the 3.3 beta, please do this.
msg163512 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-23 01:03
Yep, that was on my planning for tonight or tomorrow afternoon.
msg163574 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-06-23 10:15
Very good, thanks.
msg163649 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-23 17:18
Just a note: a this time I am cleaning the apartment that I’m leaving, so when I say “Saturday afternoon” it’s in Montreal time, so you may see it as early Sunday from Europe.  So don’t worry if your Saturday night comes and I did not commit.
msg163699 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-24 02:00
On it.
msg163700 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-24 02:25
The sysconfig module was modified (and sysconfig.cfg was introduced) to serve the needs of the resource system (install_data putting files into system-configured locations and packaging.database finding them); one of the thousand things mentioned in the “Status of Packaging” thread was an opinion by PJE that this was a bad choice, and even if I disagree (being a Debian guy and all :), a PEP would be in order to decide on such a big new functionality.  Should these changes be reverted too?  (I’d think yes.)
msg163710 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-24 04:21
Packaging removed in 576b8b182039.  I’m going to wait an hour or two and in the absence of feedback will remove sysconfig.cfg too; that will be easy to revert if consensus was to keep it and I was not online (but I really think sysconfig.cfg should go).

I’ll also look at the buildbots.
msg163711 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-06-24 04:31
Why are you removing packaging?
msg163712 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-06-24 04:43
Oh.. understand now packaging is being deferred.
msg163746 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-24 07:28
sysonfig.cfg removed in e989e7586da6.
msg163759 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-06-24 10:26
> The sysconfig module was modified (and sysconfig.cfg was introduced)
> to serve the needs of the resource system (install_data putting files
> into system-configured locations and packaging.database finding them);
> one of the thousand things mentioned in the “Status of Packaging”
> thread was an opinion by PJE that this was a bad choice, and even if I
> disagree (being a Debian guy and all :), a PEP would be in order to
> decide on such a big new functionality.  Should these changes be
> reverted too?  (I’d think yes.)

What is sysconfig.cfg?

Keeping sysconfig is ok IMO.
msg163763 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2012-06-24 10:37
We should keep sysconfig imo
msg163818 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-24 18:45
> What is sysconfig.cfg?
A file containing the install schemes for packaging (not for distutils, these are still in distutils.commands.install) and the categories for data files, to allow installation to various directories for scripts, doc, etc (cf. FHS).  The idea AFAICT was to allow OS-level customization of the install paths with a config file instead of code patches.  There are already complaints about the sysconfig module API, so I wanted to avoid locking us into this new sysconfig.cfg file format without a longer discussion:
- is this file needed for built-from-source Pythons installed in e.g. /usr/local?
- should it apply to distributions installed using non-OS packaging tools with the OS Python?
- does it remove the need for the --layout=deb gross patch that you can see for example in Debian and derivatives? (i.e. a layout used to build Python projects in a debian/tmp/usr subdirectory of the source package, before using non-Python packaging tools to move these files to the right location)

These are the kind of questions from the top of my head which I think haven’t been hashed out.  Or maybe it’s perfectly clear between Tarek and the few OS packagers that discussed this matter but there is no documentation of that.  As the only client of the sysconfig.cfg file was packaging, I think the safe thing to do is to not add it in 3.3 and make it a part of the discussions for 3.4 (i.e. may need a PEP).
msg166025 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-07-21 14:21
Eric, ping?  When can this be closed?
msg166172 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-07-22 21:21
packaging (and related changes in sysconfig) have been removed.
History
Date User Action Args
2012-07-22 21:21:38eric.araujosetstatus: open -> closed

messages: + msg166172
2012-07-21 14:21:22georg.brandlsetmessages: + msg166025
2012-06-24 18:45:31eric.araujosetmessages: + msg163818
2012-06-24 10:37:52tareksetstatus: closed -> open

messages: + msg163763
2012-06-24 10:26:07pitrousetmessages: + msg163759
2012-06-24 07:28:53eric.araujosetstatus: open -> closed
resolution: fixed
messages: + msg163746

stage: resolved
2012-06-24 04:43:39Ramchandra Aptesetmessages: + msg163712
2012-06-24 04:31:12Ramchandra Aptesetnosy: + Ramchandra Apte
messages: + msg163711
2012-06-24 04:21:25eric.araujosetmessages: + msg163710
2012-06-24 02:25:20eric.araujosetmessages: + msg163700
2012-06-24 02:00:51eric.araujosetmessages: + msg163699
2012-06-23 17:18:25eric.araujosetmessages: + msg163649
2012-06-23 10:15:49georg.brandlsetmessages: + msg163574
2012-06-23 01:04:07eric.araujosetnosy: + alexis, tarek

components: + Documentation, Distutils2
stage: needs patch -> (no value)
2012-06-23 01:03:16eric.araujosetmessages: + msg163512
2012-06-22 23:58:09pitroucreate